# runes\_getBalance

You can use the `runes_getBalance` method to retrieve all your user's Runes balances, i.e. each Rune token that their [connected wallet address](/sats-connect/connecting-to-the-wallet.md) owns, and in which amount.

Your app must have first [connected to the wallet](/sats-connect/connecting-to-the-wallet/connect-to-xverse-wallet.md) and obtained [account read permissions.](/sats-connect/xverse-wallet-permissions.md) \
\
No query parameters are required for the method:

```typescript
import { request } from 'sats-connect';

const response = await request('runes_getBalance', null);

if (response.status === 'success') {
  console.log(response.result);
} else {
  console.error(response.error);
}
```

The `runes_getBalance` method will **not** trigger any operation or prompt your user to sign any transaction. It will return an array of `balance` objects, each representing the connected wallet's holdings of a rune token:

<table><thead><tr><th width="204">balance </th><th>Description</th></tr></thead><tbody><tr><td><code>runeName</code></td><td>a string representing the <a href="https://docs.ordinals.com/runes.html#name">name of the Rune </a>for which the balance is returned.</td></tr><tr><td><code>amount</code></td><td>the amount of Rune tokens which the address owns, based on <strong>confirmed</strong> Runes transactions only.</td></tr><tr><td><code>spendableBalance</code></td><td>the amount of Rune tokens which the address can <strong>spend</strong>. <br>The spendable balance excludes rune utxos which are waiting transfer confirmation in the mempool.</td></tr><tr><td><code>symbol</code> <br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional</td><td>a string representing the rune's currency <a href="https://docs.ordinals.com/runes.html#symbol">symbol</a> as a single <a data-footnote-ref href="#user-content-fn-1">Unicode code point</a>. If a rune does not have a symbol, the generic currency sign <code>¤</code>, also called a scarab, will be used</td></tr><tr><td><code>divisibility</code> <br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional</td><td>a number representing the rune's <a href="https://docs.ordinals.com/runes.html#divisibility">divisibility</a>, i.e. how finely it may be divided into its atomic units. Divisibility is expressed as the number of digits permissible after the decimal point in an amount of runes. The default value is 0.</td></tr><tr><td><code>inscriptionId</code><br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional</td><td>a string representing the ID of the inscription linked to the rune, which marketplaces and apps can use as logo</td></tr></tbody></table>

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/sats-connect/bitcoin-methods/runes_getbalance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
